Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LogFileTrackPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.LogTrackPlugin
              org.hyperic.hq.product.LogFileTrackPlugin

Direct Known Subclasses:
  LogFileTailPlugin

    public abstract class LogFileTrackPlugin

extends LogTrackPlugin

Field Summary
`static String` | `PROP_FILES_PLATFORM`
`static String` | `PROP_FILES_SERVER`
`static String` | `PROP_FILES_SERVICE`

Fields inherited from class org.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_ANY, LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`LogFileTrackPlugin()`

Method Summary
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(TypeInfo info, org.hyperic.util.config.ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected String` | `getDefaultLogFile(TypeInfo info, org.hyperic.util.config.ConfigResponse config)`
`String[]` | `getFiles(org.hyperic.util.config.ConfigResponse config)`
`protected org.hyperic.util.config.ConfigOption` | `getFilesOption(TypeInfo info, org.hyperic.util.config.ConfigResponse config)`

Methods inherited from class org.hyperic.hq.product.LogTrackPlugin
`configure, getEnableOption, getExcludeOption, getIncludeOption, getLogLevel, getLogLevel, getLogLevelAliases, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_FILES_PLATFORM

    public static final String PROP_FILES_PLATFORM

### PROP_FILES_SERVER

    public static final String PROP_FILES_SERVER

### PROP_FILES_SERVICE

    public static final String PROP_FILES_SERVICE

Constructor Detail

### LogFileTrackPlugin

    public LogFileTrackPlugin()

Method Detail

### getDefaultLogFile

    protected String getDefaultLogFile(TypeInfo info,
                                       org.hyperic.util.config.ConfigResponse config)

### getFilesOption

    protected org.hyperic.util.config.ConfigOption getFilesOption(TypeInfo info,
                                                                  org.hyperic.util.config.ConfigResponse config)

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(TypeInfo info,
                                                                org.hyperic.util.config.ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `LogTrackPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### getFiles

    public String[] getFiles(org.hyperic.util.config.ConfigResponse config)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.